<?php
/**
 * Clase Base Bean para BaseCrPlanillaBN
 *
 * @package    Sedapal
 * @subpackage BaseCrPlanillaBN
 * @author     Willy
 * @version    SVN:: BaseCrPlanillaBN.class.php,v 1.1 2014-03-13 15:05:51 william.taype Exp $
 */
abstract class BaseCrPlanillaBN
{
  protected $IdColaborador;
  protected $Periodo;
  protected $IdConcepto;
  protected $Valor;
  protected $FechaCreacion;
  protected $UsuarioCreacion;
  protected $Mensaje;
  protected $Error;

   public function getIdEmpresa(){
    return $this->IdEmpresa;
  }
  public function setIdEmpresa($v1){
    $this->IdEmpresa = $v1; 
  }
  
  public function getIdColaborador(){
    return $this->IdColaborador;
  }
  public function setIdColaborador($v1){
    $this->IdColaborador = $v1; 
  }

  public function getPeriodo(){
    return $this->Periodo;
  }
  public function setPeriodo($v1){
    $this->Periodo = $v1; 
  }

  public function getIdConcepto(){
    return $this->IdConcepto;
  }
  public function setIdConcepto($v1){
    $this->IdConcepto = $v1; 
  }

  public function getValor(){
    return $this->Valor;
  }
  public function setValor($v1){
    $this->Valor = $v1; 
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v1){
    $this->FechaCreacion = $v1; 
  }
  
 

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v1){
    $this->UsuarioCreacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_planillaBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_planillaRs )
  {
    $o_CrPlanillaBN = new CrPlanillaBN();
    $o_CrPlanillaBN->setIdColaborador( $o_Cr_planillaRs['IdColaborador'] );
    $o_CrPlanillaBN->setPeriodo( $o_Cr_planillaRs['Periodo'] );
    $o_CrPlanillaBN->setIdConcepto( $o_Cr_planillaRs['IdConcepto'] );
    $o_CrPlanillaBN->setValor( $o_Cr_planillaRs['Valor'] );
    $o_CrPlanillaBN->setFechaCreacion( $o_Cr_planillaRs['FechaCreacion'] );
    $o_CrPlanillaBN->setUsuarioCreacion( $o_Cr_planillaRs['UsuarioCreacion'] );
    return $o_CrPlanillaBN;
  }
}